Subject: multiple numbered p2p links with same address

From: Jeff Endenburg <[email-masked]>
Date: Tue, 18 Oct 2005 15:01:16 -0400

Trying to understand the behaviour of an OSPF routing entity which has 
multiple numbered P2P links, each of which has the same IP address. The 
address is the same as the circuitless IP (i.e. /32 mask) that is assigned 
to the box itself.  I can't comment on why it was implemented this way, as 
it's 3rd-party.  It needs to interop with my box across the P2P links 
though, and mine uses numbered P2P links that have unique addresses.

Intuitively, using the same address for multiple interfaces doesn't seem 
right.  However, after reading through the archives here and other 
information on-line, I haven't found anything specific regarding the 
addressing of numbered links.  The only downside I can think of will be 
that it won't be possible to reach (e.g. ping) a specific interface on the 
box.

Any help would be appreciated!  Apologies if this has been discussed before 
and I missed it.